summaryrefslogtreecommitdiff
path: root/tests/touch/no-create-missing
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/no-create-missing')
-rwxr-xr-xtests/touch/no-create-missing6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/touch/no-create-missing b/tests/touch/no-create-missing
index cdba337e9..3f3452ebd 100755
--- a/tests/touch/no-create-missing
+++ b/tests/touch/no-create-missing
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
@@ -46,8 +46,8 @@ touch -ca no-file > /dev/null 2>&1 || fail=1
# If >&- works, test "touch -c -" etc.
# >&- apparently does not work in HP-UX 11.23.
# This test is ineffective unless /dev/stdout also works.
-if $pwd/../../src/test -w /dev/stdout >/dev/null &&
- $pwd/../../src/test ! -w /dev/stdout >&-; then
+if "$pwd"/../../src/test -w /dev/stdout >/dev/null &&
+ "$pwd"/../../src/test ! -w /dev/stdout >&-; then
touch -c - >&- 2> /dev/null || fail=1
touch -cm - >&- 2> /dev/null || fail=1
touch -ca - >&- 2> /dev/null || fail=1